#!/usr/bin/perl
use strict;
use warnings;

use Parse::RPM::Spec;
use LWP::UserAgent ();

my $spec = Parse::RPM::Spec->new( { file => @ARGV } );
say $spec->name;
my $url      = $spec->url;
my $response = LWP::UserAgent->new( timeout => 10 )->get($url);
if ($response->is_success) {
    print $response->decoded_content;
}
else {
    die $response->status_line;
}